">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Index - access to collected data about the upstream (orig) sources

# SYNOPSIS

        use Lintian::Index;

# DESCRIPTION

Lintian::Processable::Source::Orig::Index provides an interface to collected data about the upstream (orig) sources.

# INSTANCE METHODS

identifier
catalog

  Returns a reference to a hash with elements catalogued by path names.

`basedir`

  Returns the base directory for file references.

`anchored`
unpack_messages
lookup (FILE)

  Like "index" except orig_index is based on the "orig tarballs" of the source packages.

  For native packages "index" and "orig_index" are generally identical.

  NB: If sorted_index includes a debian packaging, it is was contained in upstream part of the source package (or the package is native).

resolve_path
create_from_basedir
create_from_piped_tar
load
merge_in
capture_common_prefix
drop_common_prefix
drop_basedir_segment

# AUTHOR

Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1)

<<